### local::seq_packet_protocol

Encapsulates the flags needed for seq_packet UNIX sockets.

    class seq_packet_protocol

##### Types

Name | Description
--- | ---
acceptor | The UNIX domain acceptor type.
endpoint | The type of a UNIX domain endpoint.
socket | The UNIX domain socket type.

##### Member Functions

Name | Description
--- | ---
family | Obtain an identifier for the protocol family.
protocol | Obtain an identifier for the protocol.
type | Obtain an identifier for the type of the protocol.

The `local::seq_packet_protocol` class contains flags necessary for sequenced packet UNIX domain sockets.

##### Thread Safety

Distinct objects: Safe.

Shared objects: Safe.

##### Requirements

Header: `asio/local/seq_packet_protocol.hpp`

Convenience header: `asio.hpp`